Subject: Re: [ANNOUNCEMENT] Updated: keychain-2.0.3-1
From: Steven Woody <[email-masked]>
To: [email-masked]
Date: Mon, 24 Nov 2003 15:33:35 +0800

Hack Kampbjorn <[email-masked]> writes:

alreay have ssh-agent + ssh-add, why people need keychain?

> ******************** WARNING: ***************************************
> As of version 2.0 Keychain now stores keychain files in the ~/.keychain/
> directory for tidiness. New filenames too: ~/.keychain/${HOSTNAME}-sh
> and ~/.keychain/${HOSTNAME}-csh
>
> The shell profile file (e.g. ~/.bash_profile for bash) has to be
> updated to reflect this change:
>      keychain ~/.ssh/id_rsa
>      . ~/.keychain/${HOSTNAME}-sh
>
> ******************** WARNING: ***************************************
>
>
> DESCRIPTION:
> Keychain is an OpenSSH key manager, typically run from
> ~/.bash_profile. When run, it will make sure ssh-agent is running; if
> not, it will start ssh-agent. It will redirect ssh-agent's output to
> ~/.ssh-agent, so that cron jobs that need to use ssh-agent keys can
> simply source this file and make the necessary passwordless ssh
> connections. In addition, when keychain runs, it will check with
> ssh-agent and make sure that the ssh RSA/DSA keys that you specified on
> the keychain command line have actually been added to ssh-agent. If not,
> you are prompted for the appropriate passphrases so that they can be
> added by keychain.
>
>
> CYGWIN NEWS:
> - Update to keychain 2.0.3
> - keychain.cygwin is no more install normal keychain
>
>
> KEYCHAIN NEWS:
> Keychain 2.0.3 contains some fixes for color issues and a grep -i option for
> cygwin.
>
> Keychain 2.0.2 contains a fix for the handling of ssh-askpass; SSH_ASKPASS now
> needs to be set to enable askpass functionality.
>
> Keychain 2.0.1 contains Solaris, Tru64 and MacOS X fixes, "--help" fixes, and
> compatibility with x11-ssh-askpass.
>
> Keychain 2.0 contains HP-UX and Cygwin fixes (Cygwin support is now inside the
> main keychain script), and now stores keychain files in the ~/.keychain/
> directory for tidiness. New filenames too: ~/.keychain/sh-${HOSTNAME} and
> ~/.keychain/csh-${HOSTNAME}. Keychain 2.0 also contains a bunch of additional
> fixes and performance improvements, and the --local option has been
> depreciated. Added the --dir option so that you can specify an alternate
> location for keychain to look for the .keychain directory: "keychain --dir
> /var/foo /path/to/my/key" will cause keychain to look for /var/foo/.keychain.
>
>
> INSTALLATION:
> To update your installation, click on the "Install Cygwin now" link on
> the http://cygwin.com/ web page.  This downloads setup.exe to your
> system.  Once you've downloaded setup.exe, run it and select "Utils" and
> then click on the appropriate field until the above announced version
> number appears if it is not displayed already.
>
> If you have questions or comments, please send them to the Cygwin
> mailing list at: [email-masked] .  I would appreciate it if you would
> use this mailing list rather than emailing me directly.  This includes
> ideas and comments about the setup utility or Cygwin in general.
>
> If you want to make a point or ask a question, the Cygwin mailing list
> is the appropriate place.
>
>                *** CYGWIN-ANNOUNCE UNSUBSCRIBE INFO ***
>
> If you want to unsubscribe from the cygwin-announce mailing list, look
> at the "List-Unsubscribe: " tag in the email header of this message.
> Send email to the address specified there.  It will be in the format:
>
> cygwin-announce-unsubscribe-you=[email-masked]
>
> If you need more information on unsubscribing, start reading here:
>
> http://sources.redhat.com/lists.html#unsubscribe-simple
>
> Please read *all* of the information on unsubscribing that is available
> starting at this URL.
>
> I implore you to READ this information before sending email about how
> you "tried everything" to unsubscribe.  In 100% of the cases where
> people were unable to unsubscribe, the problem was that they hadn't
> actually read and comprehended the unsubscribe instructions.
>
> If you need to unsubscribe from cygwin-announce or any other mailing
> list, reading the instructions at the above URL is guaranteed to
> provide you with the info that you need.
>
>
> -- 
> Med venlig hilsen / Kind regards
>
> Hack Kampbj鷨n
>
>

-- 
Steven Woody
[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/